#!/usr/bin/env kjscmd

println( "Hello World" );
var proc = new Process(this);
proc.connect( proc, "readyReadStdout()", this, "stdOut" );
proc.connect( proc, "readyReadStderr()", this, "stdError" );
proc.connect( proc, "processExited()", this, "done" );

proc.addArgument("ps");
proc.addArgument("-l");

if ( !proc.start() )
{
	println( "Could not start process" );
}

println( "test single cmd" );

var output = shell("ps aux");
println( "Shell responds: " + output );

application.exec();

function done()
{
	while ( proc.canReadLineStdout )
		stdOut();
	while ( proc.canReadLineStderr )
		stdError();
	println("Process done with " + proc.exitStatus );
	exit(0);
}

function stdError( )
{
	var errorMessage = proc.readLineStderr();
	println( "StdErr: " + errorMessage );
}

function stdOut( )
{
	var message = proc.readLineStdout();
	println( "StdOut: " + message );
}